import React, { CSSProperties, ReactNode } from "react";
declare type PanelChildren = {
    toolbar?: ReactNode;
    aside?: ReactNode;
    content: ReactNode;
    footer?: ReactNode;
};
declare type PanelStyles = {
    header?: CSSProperties;
    toolbar?: CSSProperties;
    aside?: CSSProperties;
    content?: CSSProperties;
    footer?: CSSProperties;
};
declare type PanelProps = {
    icon?: ReactNode;
    title: string | ReactNode;
    buttons?: ReactNode;
    className?: string;
    closeIcon?: ReactNode;
    onClose?: () => void;
    children: PanelChildren;
    styles?: PanelStyles;
};
export declare const Panel: React.FC<PanelProps>;
declare type PanelButtonProps = {
    icon: ReactNode;
    title?: string;
    onClick: () => void;
    className?: string;
};
export declare const PanelButton: React.FC<PanelButtonProps>;
export {};
