'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var classNames = _interopDefault(require('classnames'));

var Panel = function (_a) {
    var _b, _c, _d, _e, _f, _g;
    var children = _a.children, className = _a.className, _h = _a.styles, styles = _h === void 0 ? {} : _h, onClose = _a.onClose, _j = _a.closeIcon, closeIcon = _j === void 0 ? '✖' : _j, icon = _a.icon, title = _a.title, buttons = _a.buttons;
    var toolbar = children.toolbar, aside = children.aside, content = children.content, footer = children.footer;
    var panelClass = classNames('flexPanel', className);
    var headerClass = classNames("flexPanel--header", (_b = {}, _b[className + "-header"] = className, _b));
    var toolBoxClass = classNames("flexPanel--toolbar", (_c = {}, _c[className + "-toolbar"] = className, _c));
    var asideClass = classNames("flexPanel--aside", (_d = {}, _d[className + "-aside"] = className, _d));
    var footerClass = classNames("flexPanel--footer", (_e = {}, _e[className + "-footer"] = className, _e));
    var contentClass = classNames("flexPanel--content", (_f = {}, _f[className + "-content"] = className, _f));
    var buttonClass = classNames((_g = {}, _g[className + "-button"] = className, _g));
    return (React.createElement("div", { className: panelClass },
        (title || onClose) &&
            React.createElement("header", { className: headerClass, style: styles.header },
                icon &&
                    React.createElement("span", { className: "flexPanel--header--icon" }, icon),
                React.createElement("span", { className: "flexPanel--header--title" }, title),
                buttons &&
                    React.createElement("div", { className: "flexPanel--header--right" }, buttons),
                onClose && React.createElement(PanelButton, { className: buttonClass, title: 'Close', icon: closeIcon, onClick: onClose })),
        toolbar && React.createElement("div", { className: toolBoxClass, style: styles === null || styles === void 0 ? void 0 : styles.toolbar }, toolbar),
        aside ?
            React.createElement("div", { className: "flexPanel--split" },
                aside && React.createElement("aside", { className: asideClass, style: styles.aside }, aside),
                React.createElement("main", { className: contentClass, style: styles.content }, content))
            : React.createElement("main", { className: contentClass, style: styles.content }, content),
        footer &&
            React.createElement("footer", { className: footerClass, style: styles.footer }, footer)));
};
var PanelButton = function (_a) {
    var onClick = _a.onClick, className = _a.className, title = _a.title, icon = _a.icon;
    return (React.createElement("span", { title: title, className: classNames("flexPanel--button", className), onClick: onClick }, icon));
};

exports.Panel = Panel;
exports.PanelButton = PanelButton;
//# sourceMappingURL=index.js.map
